---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/scc: privileged
  creationTimestamp: "2020-05-26T09:36:36Z"
  generateName: csi-snapshot-controller-operator-57c4bb8b4f-
  labels:
    app: csi-snapshot-controller-operator
    pod-template-hash: 57c4bb8b4f
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"96a32bc4-6c75-4c39-904c-f1c48f23669a"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"operator"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"OPERAND_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERAND_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/var/run/configmaps/config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T09:36:36Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2020-05-26T09:49:38Z"
  name: csi-snapshot-controller-operator-57c4bb8b4f-zs6lb
  namespace: openshift-cluster-storage-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: csi-snapshot-controller-operator-57c4bb8b4f
    uid: 96a32bc4-6c75-4c39-904c-f1c48f23669a
  resourceVersion: "16150"
  selfLink: /api/v1/namespaces/openshift-cluster-storage-operator/pods/csi-snapshot-controller-operator-57c4bb8b4f-zs6lb
  uid: 71526bec-c2ec-436f-8c22-5e5ce99e5b66
spec:
  containers:
  - args:
    - start
    - -v
    - "5"
    - --config=/var/run/configmaps/config/operator-config.yaml
    env:
    - name: OPERAND_IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:e69949554a71f58b02984e14eecbad4a79812c7295cac1dda1382751b5bf818f
    - name: OPERATOR_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: OPERAND_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:49d7116d4ab6b2ad0f19eccb1a416db8a4a307028eebeff2451f200d70c31481
    imagePullPolicy: IfNotPresent
    name: operator
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/configmaps/config
      name: config
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: csi-snapshot-controller-operator-token-m9tcv
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: csi-snapshot-controller-operator
  serviceAccountName: csi-snapshot-controller-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - configMap:
      defaultMode: 440
      name: csi-snapshot-controller-operator-config
    name: config
  - name: csi-snapshot-controller-operator-token-m9tcv
    secret:
      defaultMode: 420
      secretName: csi-snapshot-controller-operator-token-m9tcv
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:36:36Z"
    message: '0/6 nodes are available: 3 node(s) had taint {node-role.kubernetes.io/master:
      }, that the pod didn''t tolerate, 3 node(s) had taint {node.kubernetes.io/not-ready:
      }, that the pod didn''t tolerate.'
    reason: Unschedulable
    status: "False"
    type: PodScheduled
  phase: Pending
  qosClass: Burstable
